#138 The PDF did run away!

v1.0_(example)
open
nobody
None
5
2014-07-04
2014-07-03
No

I was annotating a .pdf and all was working just fine.. but when I did create a new (extra) page "New Page at the end" the .pdf disappeared. I only realized that all .pdf disappeared when I changed the page style to plain.

So, there are 2 possibilities for the behavior:
1. New page at the end when annotating a PDF
2. Change page style (after a new page at the end when annotating a PDF)

The attachment shows there are no more charts behind my annotations.

1 Attachments

Related

Bugs: #138

Discussion

  • Denis Auroux

    Denis Auroux - 2014-07-03

    I don't understand exactly what you did, but two things:

    1. (new in 0.4.8, due to numerous complaints with the previous behavior): when you do "Page -> New Page at End" while annotating a pdf file, it
      used to be that the new page always had the last pdf page as background. This
      is now the case only if you have the option "Page -> New Pages Keep
      Background" enabled; otherwise the new page is now using the default
      paper style (ruled paper with white background unless you changed it).

    2. (not new) when you change the style of a page to plain paper, if the option
      "Page -> Apply to all pages" is enabled then the change will be applied
      to all pages of the document, including the PDF pages. Disable this
      option if you want the change to affect only the current page.

    So: if the problem is that changing the page style of the new page to
    plain paper caused all pages to change to plain paper, the likely cause
    is that you selected "Page -> Apply to all pages". Is this indeed what
    happened?

    Denis

     
    Last edit: Denis Auroux 2014-07-03
    • Leandro Heck

      Leandro Heck - 2014-07-03

      I am trying to reproduce the error.
      Sorry for my english.

      Now, I did open the same pdf (right click on it, then xournal) ... then the
      Xournal did load the pdf with the annotations.

      Give me a minute to try reproduce this behavior.

      --
      Leandro Sehnem Heck

      On Thu, Jul 3, 2014 at 7:51 PM, Denis Auroux auroux@users.sf.net wrote:

      I don't understand exactly what you did, but there have been two changes
      in behavior (due to numerous complaints with the previous versions).

      1.

      when you do "Page -> New Page at End" while annotating a pdf file, it
      used to be that the new page had the last pdf page as background. This
      is now the case only if you have the option "Page -> New Pages Keep
      Background" enabled; otherwise the new page is now using the default
      paper style (ruled paper with white background unless you changed it).
      2.

      when you change the style of a page to plain paper, if the option
      "Page -> Apply to all pages" is enabled then the change will be
      applied
      to all pages of the document, including the PDF pages. Disable this
      option if you want the change to affect only the current page.

      So: if the problem is that changing the page style of the new page to
      plain paper caused all pages to change to plain paper, the likely cause
      is that you selected "Page -> Apply to all pages". Is this indeed what
      happened?

      Denis

      On 07/03/2014 03:45 PM, Leandro Heck wrote:

      I was annotating a .pdf and all was working just fine.. but when I did
      create a new (extra) page "New Page at the end" the .pdf disappeared. I
      only realized that all .pdf disappeared when I changed the page style to
      plain.

      So, there are 2 possibilities for the behavior:
      1. New page at the end when annotating a PDF
      2. Change page style (after a new page at the end when annotating a PDF)

      The attachment shows there are no more charts behind my annotations.

      --
      Denis Auroux auroux@math.berkeley.edu
      University of California, Berkeley Tel: 510-642-4367
      Department of Mathematics Fax: 510-642-8204
      817 Evans Hall # 3840
      Berkeley, CA 94720-3840


      Status: open
      Group: v1.0_(example)
      Created: Thu Jul 03, 2014 10:45 PM UTC by Leandro Heck
      Last Updated: Thu Jul 03, 2014 10:45 PM UTC
      Owner: nobody

      I was annotating a .pdf and all was working just fine.. but when I did
      create a new (extra) page "New Page at the end" the .pdf disappeared. I
      only realized that all .pdf disappeared when I changed the page style to
      plain.

      So, there are 2 possibilities for the behavior:
      1. New page at the end when annotating a PDF
      2. Change page style (after a new page at the end when annotating a PDF)

      The attachment shows there are no more charts behind my annotations.

      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/xournal/bugs/138/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #138

      Attachments
  • Leandro Heck

    Leandro Heck - 2014-07-03

    Ok, I observe now that are no problems with new page.. but the problem is in changing style..

    Looks the screenrecord in my dropbox.
    https://www.dropbox.com/s/dq6hyg35ab703ln/xournal.mp4

     
    • Denis Auroux

      Denis Auroux - 2014-07-03

      Your screen record doesn't show the menus. Once again, are you sure that
      "Page -> Apply to all pages" isn't checked? If this option is checked,
      then a page style selection gets applied to all pages, and it is
      completely normal that all the PDF pages get turned into plain white
      paper. This option has been there since version 0.2.2 and its behavior
      hasn't changed. Just uncheck "Page -> Apply to all pages" and it should
      work again the way you want.

      Denis

       
      Last edit: Denis Auroux 2014-07-03
      • Leandro Heck

        Leandro Heck - 2014-07-04

        Hmmm, "Page -> Apply to all pages" was checked! When I uncheck "Page ->
        Apply to all pages" all works fine.. sorry...
        But, I think a good solution is to disable the "Apply to all pages" by
        default when we chose annotate a pdf.
        And better... "Apply to all pages" can be checked by default if the
        original pdf pages were excluded from this action.

        --
        Leandro Sehnem Heck

        On Thu, Jul 3, 2014 at 8:18 PM, Denis Auroux auroux@users.sf.net wrote:

        Your screen record doesn't show the menus. Once again, are you sure that
        "Page -> Apply to all pages" isn't checked? If this option is checked,
        then a page style selection gets applied to all pages, and it is
        completely normal that all the PDF pages get turned into plain white
        paper. This option has been there since version 0.2.2 and its behavior
        hasn't changed. Just uncheck "Page -> Apply to all pages" and it should
        work again the way you want.

        Denis

        --
        Denis Auroux auroux@math.berkeley.edu
        University of California, Berkeley Tel: 510-642-4367
        Department of Mathematics Fax: 510-642-8204
        817 Evans Hall # 3840
        Berkeley, CA 94720-3840


        Status: open
        Group: v1.0_(example)
        Created: Thu Jul 03, 2014 10:45 PM UTC by Leandro Heck
        Last Updated: Thu Jul 03, 2014 11:07 PM UTC
        Owner: nobody

        I was annotating a .pdf and all was working just fine.. but when I did
        create a new (extra) page "New Page at the end" the .pdf disappeared. I
        only realized that all .pdf disappeared when I changed the page style to
        plain.

        So, there are 2 possibilities for the behavior:
        1. New page at the end when annotating a PDF
        2. Change page style (after a new page at the end when annotating a PDF)

        The attachment shows there are no more charts behind my annotations.

        Sent from sourceforge.net because you indicated interest in
        https://sourceforge.net/p/xournal/bugs/138/

        To unsubscribe from further messages, please visit
        https://sourceforge.net/auth/subscriptions/

         

        Related

        Bugs: #138

        • Denis Auroux

          Denis Auroux - 2014-07-04

          Leandro: this option is unchecked by default. And I think it would be
          very confusing if the option turns itself on and off without the user's
          knowledge depending on whether there is a PDF file or not. Also, I
          really do need to be able to turn PDF pages into plain paper. (Arguably,
          the converse -- turning blank paper back into PDF pages -- should also
          be possible; it's a missing feature but it will take work and it's not
          very high priority for me).

          Denis

           
  • Leandro Heck

    Leandro Heck - 2014-07-04

    Yes, I understand that can be very confusing. I also understand that can take much time to implement. At least the undo action (ctrl+z) works well for this case. I've tested it now.

    You can at least move the option "apply to all" to another place.. maybe a popup (I hate popups but it will work in this case) window asking if the user wants this configuration to be applied for all pages, for the current one or for the next pages..

    I think this would be a great feature!

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks